| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
wxAuiDefaultDockArt Class Reference

`#include <wx/aui/dockart.h>`

Inheritance diagram for wxAuiDefaultDockArt:
[legend]

## Detailed Description

This is the default art provider for wxAuiManager.

Dock art can be customized by creating a class derived from this one, or replacing this class entirely.

## Public Member Functions

| wxAuiDefaultDockArt ()
int | GetMetric (int metricId)
| Get the value of a certain setting. More...
void | SetMetric (int metricId, int newVal)
| Set a certain setting with the value new_val. More...
wxColour | GetColour (int id)
| Get the colour of a certain setting. More...
void | SetColour (int id, const wxColour &colour)
| Set a certain setting with the value colour. More...
void | SetFont (int id, const wxFont &font)
| Set a font setting. More...
wxFont | GetFont (int id)
| Get a font setting. More...
void | DrawSash (wxDC &dc, wxWindow *window, int orientation, const wxRect &rect)
| Draws a sash between two windows. More...
void | DrawBackground (wxDC &dc, wxWindow *window, int orientation, const wxRect &rect)
| Draws a background. More...
void | DrawCaption (wxDC &dc, wxWindow *window, const wxString &text, const wxRect &rect, wxAuiPaneInfo &pane)
| Draws a caption. More...
void | DrawGripper (wxDC &dc, wxWindow *window, const wxRect &rect, wxAuiPaneInfo &pane)
| Draws a gripper. More...
void | DrawBorder (wxDC &dc, wxWindow *window, const wxRect &rect, wxAuiPaneInfo &pane)
| Draws a border. More...
void | DrawPaneButton (wxDC &dc, wxWindow *window, int button, int buttonState, const wxRect &rect, wxAuiPaneInfo &pane)
| Draws a button in the pane's title bar. More...
void | DrawIcon (wxDC &dc, const wxRect &rect, wxAuiPaneInfo &pane)
Public Member Functions inherited from wxAuiDockArt
| wxAuiDockArt ()
| Constructor. More...
virtual | ~wxAuiDockArt ()
| Destructor. More...

## Protected Member Functions

void | DrawCaptionBackground (wxDC &dc, const wxRect &rect, bool active)
void | InitBitmaps ()

## Protected Attributes

wxPen | m_borderPen
wxBrush | m_sashBrush
wxBrush | m_backgroundBrush
wxBrush | m_gripperBrush
wxFont | m_captionFont
wxBitmap | m_inactiveCloseBitmap
wxBitmap | m_inactivePinBitmap
wxBitmap | m_inactiveMaximizeBitmap
wxBitmap | m_inactiveRestoreBitmap
wxBitmap | m_activeCloseBitmap
wxBitmap | m_activePinBitmap
wxBitmap | m_activeMaximizeBitmap
wxBitmap | m_activeRestoreBitmap
wxPen | m_gripperPen1
wxPen | m_gripperPen2
wxPen | m_gripperPen3
wxColour | m_baseColour
wxColour | m_activeCaptionColour
wxColour | m_activeCaptionGradientColour
wxColour | m_activeCaptionTextColour
wxColour | m_inactiveCaptionColour
wxColour | m_inactiveCaptionGradientColour
wxColour | m_inactiveCaptionTextColour
int | m_borderSize
int | m_captionSize
int | m_sashSize
int | m_buttonSize
int | m_gripperSize
int | m_gradientType

## Constructor & Destructor Documentation

wxAuiDefaultDockArt::wxAuiDefaultDockArt | ( |  | ) |

## Member Function Documentation

void wxAuiDefaultDockArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | int | orientation,
|  | const wxRect & | rect
| ) |  |

virtual

Draws a background.

Implements wxAuiDockArt.

void wxAuiDefaultDockArt::DrawBorder | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

virtual

Draws a border.

Implements wxAuiDockArt.

void wxAuiDefaultDockArt::DrawCaption | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxString & | text,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

virtual

Draws a caption.

Implements wxAuiDockArt.

void wxAuiDefaultDockArt::DrawCaptionBackground | ( | wxDC & | dc,
|  | const wxRect & | rect,
|  | bool | active
| ) |  |

protected

void wxAuiDefaultDockArt::DrawGripper | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

virtual

Draws a gripper.

Implements wxAuiDockArt.

void wxAuiDefaultDockArt::DrawIcon | ( | wxDC & | dc,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

void wxAuiDefaultDockArt::DrawPaneButton | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | int | button,
|  | int | button_state,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

virtual

Draws a button in the pane's title bar.

button can be one of the values of wxAuiButtonId. button_state can be one of the values of wxAuiPaneButtonState.

Implements wxAuiDockArt.

void wxAuiDefaultDockArt::DrawSash | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | int | orientation,
|  | const wxRect & | rect
| ) |  |

virtual

Draws a sash between two windows.

Implements wxAuiDockArt.

wxColour wxAuiDefaultDockArt::GetColour | ( | int | id | ) |

virtual

Get the colour of a certain setting.

id can be one of the colour values of wxAuiPaneDockArtSetting.

Implements wxAuiDockArt.

wxFont wxAuiDefaultDockArt::GetFont | ( | int | id | ) |

virtual

Get a font setting.

Implements wxAuiDockArt.

int wxAuiDefaultDockArt::GetMetric | ( | int | id | ) |

virtual

Get the value of a certain setting.

id can be one of the size values of wxAuiPaneDockArtSetting.

Implements wxAuiDockArt.

void wxAuiDefaultDockArt::InitBitmaps | ( |  | ) |

protected

void wxAuiDefaultDockArt::SetColour | ( | int | id,
|  | const wxColour & | colour
| ) |  |

virtual

Set a certain setting with the value colour.

id can be one of the colour values of wxAuiPaneDockArtSetting.

Implements wxAuiDockArt.

void wxAuiDefaultDockArt::SetFont | ( | int | id,
|  | const wxFont & | font
| ) |  |

virtual

Set a font setting.

Implements wxAuiDockArt.

void wxAuiDefaultDockArt::SetMetric | ( | int | id,
|  | int | new_val
| ) |  |

virtual

Set a certain setting with the value new_val.

id can be one of the size values of wxAuiPaneDockArtSetting.

Implements wxAuiDockArt.

## Member Data Documentation

wxColour wxAuiDefaultDockArt::m_activeCaptionColour

protected

wxColour wxAuiDefaultDockArt::m_activeCaptionGradientColour

protected

wxColour wxAuiDefaultDockArt::m_activeCaptionTextColour

protected

wxBitmap wxAuiDefaultDockArt::m_activeCloseBitmap

protected

wxBitmap wxAuiDefaultDockArt::m_activeMaximizeBitmap

protected

wxBitmap wxAuiDefaultDockArt::m_activePinBitmap

protected

wxBitmap wxAuiDefaultDockArt::m_activeRestoreBitmap

protected

wxBrush wxAuiDefaultDockArt::m_backgroundBrush

protected

wxColour wxAuiDefaultDockArt::m_baseColour

protected

wxPen wxAuiDefaultDockArt::m_borderPen

protected

int wxAuiDefaultDockArt::m_borderSize

protected

int wxAuiDefaultDockArt::m_buttonSize

protected

wxFont wxAuiDefaultDockArt::m_captionFont

protected

int wxAuiDefaultDockArt::m_captionSize

protected

int wxAuiDefaultDockArt::m_gradientType

protected

wxBrush wxAuiDefaultDockArt::m_gripperBrush

protected

wxPen wxAuiDefaultDockArt::m_gripperPen1

protected

wxPen wxAuiDefaultDockArt::m_gripperPen2

protected

wxPen wxAuiDefaultDockArt::m_gripperPen3

protected

int wxAuiDefaultDockArt::m_gripperSize

protected

wxColour wxAuiDefaultDockArt::m_inactiveCaptionColour

protected

wxColour wxAuiDefaultDockArt::m_inactiveCaptionGradientColour

protected

wxColour wxAuiDefaultDockArt::m_inactiveCaptionTextColour

protected

wxBitmap wxAuiDefaultDockArt::m_inactiveCloseBitmap

protected

wxBitmap wxAuiDefaultDockArt::m_inactiveMaximizeBitmap

protected

wxBitmap wxAuiDefaultDockArt::m_inactivePinBitmap

protected

wxBitmap wxAuiDefaultDockArt::m_inactiveRestoreBitmap

protected

wxBrush wxAuiDefaultDockArt::m_sashBrush

protected

int wxAuiDefaultDockArt::m_sashSize

protected